---
date: 2016-11-02
author: Matthias Günther
email: matthias@wikimatze.de
categories: ruby update
tags: padrino, sinatra, ruby, release
title: Padrino 0.13.3.2 - small fixes, documentation cleanup, enable sqlite's file to deep tree of subdirectories, caching the content_type mime type
---

Padrino 0.13.3.2 was shipped in September 2016. This version contains small fixes, documentation cleanup, enable sqlite's file to deep tree of subdirectories, as well as fixing an issue with not caching the content_type mime type.


## Be able to create sqlite's file to deep tree of subdirectories.

[@karakava](https://github.com/kkarakawa "@karakava") was so nice to make the following possible when working with
[SQLite](https://sqlite.org/ "SQLite"):


```ruby
ActiveRecord::Base.configuration[:development] = {
  :adapter => 'sqlite3',
  :database => Padrino.root('db', 'development/1/sample.db')
}
```


## Bug Fixes and Miscellaneous Things

There are several bug fixes and other updates:

- FIX fix padrinorb.com links in several rdocs ([@karakava)](https://github.com/kkarakawa "@karakava")
- FIX [#2075](https://github.com/padrino/padrino-framework/issues/2075) cache actual content_type mime type ([@ujifgc](https://github.com/ujifgc)) - thanks [davinciRor](https://github.com/davinciRor "davinciRor") for reporing this issue
- FIX [#2076](https://github.com/padrino/padrino-framework/issues/2076) retire webrat and nokogiri from helper tests and using now [oga](https://github.com/YorickPeterse/oga "oga") ([@ujifgc](https://github.com/ujifgc))
- FIX [#2081](https://github.com/padrino/padrino-framework/issues/2081) remove -i option from pg_dump command ([@dfens](https://github.com/dfens))
- FIX [#2083](https://github.com/padrino/padrino-framework/issues/2083) remove -i option from pg_dump command ([@dfens](https://github.com/dfens))
- [FIX a typo in admin generation command](https://github.com/padrino/padrino-framework/commit/b8387602922cd97afeb9cd00be9428244d47a076) when no valid render engine is being used

